Name        : nspr
Version     : 4.13.1
Release: 4
Group       : System Environment/Libraries
License     : MPL-2.0
URL         : http://www.mozilla.org/projects/nspr/
Summary     : Netscape Portable Runtime

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

Source0: https://ftp.mozilla.org/pub/nspr/releases/v%{version}/src/nspr-%{version}.tar.gz

Patch0: nspr-pase.patch

%description
NSPR provides platform independence for non-GUI operating system
facilities. These facilities include threads, thread synchronization,
normal file and network I/O, interval timing and calendar time, basic
memory management (malloc and free) and shared library linking.

%package devel
Summary: Netscape Portable Runtime Development files
Requires: %{name} = %{version}

%description devel
NSPR provides platform independence for non-GUI operating system
facilities. These facilities include threads, thread synchronization,
normal file and network I/O, interval timing and calendar time, basic
memory management (malloc and free) and shared library linking.

%prep

%setup -q

%patch0 -p1

%build

cd nspr

autoreconf -fi

%configure \
    --includedir=%{_includedir}/nspr4 \
%ifarch ppc64
    --enable-64bit \
%endif
    --disable-debug \
    #
    
%make_build

%install

cd nspr

%make_install

rm %{buildroot}/%{_libdir}/*.a
rm %{buildroot}/%{_includedir}/nspr4/md/*
rm %{buildroot}/%{_bindir}/compile-et.pl
rm %{buildroot}/%{_bindir}/prerr.properties

%files
%defattr(-, qsys, *none)

%{_libdir}/libnspr4.so
%{_libdir}/libplds4.so
%{_libdir}/libplc4.so

%files devel
%defattr(-, qsys, *none)

%{_bindir}/nspr-config

%{_datadir}/aclocal/nspr.m4

%{_libdir}/pkgconfig/nspr.pc

%{_includedir}/nspr4/nspr.h
%{_includedir}/nspr4/plarena.h
%{_includedir}/nspr4/plarenas.h
%{_includedir}/nspr4/plbase64.h
%{_includedir}/nspr4/plerror.h
%{_includedir}/nspr4/plgetopt.h
%{_includedir}/nspr4/plhash.h
%{_includedir}/nspr4/plstr.h
%{_includedir}/nspr4/pratom.h
%{_includedir}/nspr4/prbit.h
%{_includedir}/nspr4/prclist.h
%{_includedir}/nspr4/prcmon.h
%{_includedir}/nspr4/prcountr.h
%{_includedir}/nspr4/prcpucfg.h
%{_includedir}/nspr4/prcvar.h
%{_includedir}/nspr4/prdtoa.h
%{_includedir}/nspr4/prenv.h
%{_includedir}/nspr4/prerr.h
%{_includedir}/nspr4/prerror.h
%{_includedir}/nspr4/prinet.h
%{_includedir}/nspr4/prinit.h
%{_includedir}/nspr4/prinrval.h
%{_includedir}/nspr4/prio.h
%{_includedir}/nspr4/pripcsem.h
%{_includedir}/nspr4/prlink.h
%{_includedir}/nspr4/prlock.h
%{_includedir}/nspr4/prlog.h
%{_includedir}/nspr4/prlong.h
%{_includedir}/nspr4/prmem.h
%{_includedir}/nspr4/prmon.h
%{_includedir}/nspr4/prmwait.h
%{_includedir}/nspr4/prnetdb.h
%{_includedir}/nspr4/prolock.h
%{_includedir}/nspr4/prpdce.h
%{_includedir}/nspr4/prprf.h
%{_includedir}/nspr4/prproces.h
%{_includedir}/nspr4/prrng.h
%{_includedir}/nspr4/prrwlock.h
%{_includedir}/nspr4/prshm.h
%{_includedir}/nspr4/prshma.h
%{_includedir}/nspr4/prsystem.h
%{_includedir}/nspr4/prthread.h
%{_includedir}/nspr4/prtime.h
%{_includedir}/nspr4/prtpool.h
%{_includedir}/nspr4/prtrace.h
%{_includedir}/nspr4/prtypes.h
%{_includedir}/nspr4/prvrsion.h
%{_includedir}/nspr4/prwin16.h

%dir %{_includedir}/nspr4/md/

%{_includedir}/nspr4/obsolete/prsem.h
%{_includedir}/nspr4/obsolete/protypes.h
%{_includedir}/nspr4/obsolete/probslet.h
%{_includedir}/nspr4/obsolete/pralarm.h

%{_includedir}/nspr4/private/pprio.h
%{_includedir}/nspr4/private/pprthred.h
%{_includedir}/nspr4/private/prpriv.h

%changelog
* Wed Nov 27 2019 Kevin Adler <kadler@us.ibm.com> - 4.13.1
- Use SPDX license identifier

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Add missing BuildRequires for autotools

* Tue Nov 07 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix license

* Thu Aug 24 2017 - Kevin Adler <kadler@us.ibm.com>
- Acutally build nspr on IBM i

* Thu Apr 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Initial package, repackaging AIX build
